Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Dimension Line value disply 3

Status
Not open for further replies.

CAD2015

Computer
Jan 21, 2006
1,945
US
Hi,

I'd like to have the value of both horizontal and vertical dimensions in the middle of the dimension line (the way they are shown in the attachment)m but with one adjustment:
I want the dimension line interrupted on the area where the value is located.
How should I get that?

Thanks


MZ7DYJ
 
Replies continue below

Recommended for you

Change the drafting standard to ANSI or ASME when you create new drawings.

For exisiting drawings; select all dimensions and change standard or ANSI or ASME
 
check your drafting standard (XML file)

Eric N.
indocti discant et ament meminisse periti
 
Hi,

If you want to do this in a CATScript...

Code:
Sub CATMain()

   ' Variables declaration
    Dim oDrwDocument As DrawingDocument
    Dim oDrwSheets As DrawingSheets
    Dim oDrwSheet As DrawingSheet
    Dim oDrwView As DrawingView
    Dim oDrwTables As DrawingTables
    Dim oDrwTable As DrawingTable

 Set oDrwDocument = CATIA.ActiveDocument

    ' Set the drawing document standard  

CATIA.DisplayFileAlerts = False
	Dim Message, Style, Title, Response, MyString
	Message = ("This macro will change the drawing standard according to what user will choose"  &_
			(chr(13)) &_
			 "	- The active document must be a CATDrawing (local or VPM)"&_
                         (chr(13)) &_
			 "	- Drawing size will go automatically to the biggest standard format"&_
			 (chr(13)) &_
			   ""&(chr(13))&_
"	Do you want to continue ?")
	Style = vbYesNo + vbDefaultButton2    'Define buttons.
	Title = "Purpose "   
	Response = MsgBox(Message, Style, Title)
		If Response = vbYes Then    ' User chose Yes.

Dim myStringcase 'As Double
myStringcase = "1"
myStringcase = InputBox ("Please enter the case" & chr(13) & "1 for ISO"  & chr(13) & "2 for ANSI"  & chr(13) & "3 for JIS" , "Standard case" , myStringcase)

If myStringcase = 1 Then
    oDrwDocument.Standard = catISO
ElseIf myStringcase = 2 Then
    oDrwDocument.Standard = catANSI
ElseIf myStringcase = 3 Then
    oDrwDocument.Standard = catJIS

Else
	End If

    '~ Bellow code will work only for ISO standard, if you want to set the size for other standards you need corect name, like catPaperA3
    '~ Uncomment to make it work
    '~ ' Retrieve the drawing document's sheets collection
    '~ Set oDrwSheets = oDrwDocument.Sheets

    '~ ' Retrieve the active sheet
    '~ Set oDrwSheet = oDrwSheets.ActiveSheet

    '~ ' Set the sheet properties
    '~ oDrwSheet.PaperSize = catPaperA3
    '~ oDrwSheet.Orientation = catPaperLandscape
    '~ oDrwSheet.Scale2 = 1

CATIA.ActiveDocument.Update

End If

Regards
Fernando

 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Top